summaryrefslogtreecommitdiff
path: root/git/init.d/50git-pre-commit-hook
diff options
context:
space:
mode:
authorMathieu Clabaut <mathieu.clabaut@gmail.com>2007-12-21 15:47:30 -0600
committerJoey Hess <joey@kodama.kitenet.net>2008-01-03 19:53:46 -0500
commitf82235032f162aae0bb08828d45c6306e60dcd29 (patch)
treea4479471b8b8c91903e1ceaf54dfea42e3457a4a /git/init.d/50git-pre-commit-hook
parent631af60701ca747861d67a19d431005c7d45d6be (diff)
hg and git subrepo creation (hg is for now a copy of git)
Diffstat (limited to 'git/init.d/50git-pre-commit-hook')
-rw-r--r--git/init.d/50git-pre-commit-hook15
1 files changed, 15 insertions, 0 deletions
diff --git a/git/init.d/50git-pre-commit-hook b/git/init.d/50git-pre-commit-hook
new file mode 100644
index 0000000..0efd5e4
--- /dev/null
+++ b/git/init.d/50git-pre-commit-hook
@@ -0,0 +1,15 @@
+#!/bin/sh
+set -e
+if [ -x .git/hooks/pre-commit ]; then
+ if ! grep -q "etckeeper pre-commit" .git/hooks/pre-commit; then
+ echo "etckeeper warning: .git/hooks/pre-commit needs to be manually modifed to run: etckeeper pre-commit `pwd`" >&2
+ fi
+else
+ cat >.git/hooks/pre-commit <<EOF
+#!/bin/sh
+# pre-commit hook for etckeeper, to store metadata and do sanity checks
+set -e
+etckeeper pre-commit `pwd`
+EOF
+ chmod +x .git/hooks/pre-commit
+fi